-- Install lazy if it's not yet installed
local lazypath = vim.fn.stdpath("data") .. "/lazy/lazy.nvim"
if not vim.loop.fs_stat(lazypath) then
  vim.fn.system({
    "git",
    "clone",
    "--filter=blob:none",
    "https://github.com/folke/lazy.nvim.git",
    "--branch=stable", -- latest stable release
    lazypath,
  })
end
vim.opt.rtp:prepend(lazypath)

require("settings")
require("neovide")
require("highlight_yank")
require("lazy").setup({
  spec = { import = "plugins" },
  lockfile = "~/.config/nvim/lazy-lock.json",
  performance = {
    disabled_plugins = { "netrwPlugin" },
  },
  defaults = {
    -- version = "*", -- Disabled for now
  },
})
